
QGIS Application - Feature request #10330

Mutually Exclusive Layers In Layer Groups

2014-05-22 08:38 AM - Tom Arnold

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 18753

Description

Often I have groups of layers that should only be displayed one at a time.  This request is to make 'Mutually Exclusive Layers' an option or

property of layer groups in the layer dialog.  When this option is selected, one, and only one, layer will be selected for visibility within the

group.  Preferably, the visibility ticks will change to circles, or otherwise give some cue to the user which mode the layer group is in.  The

original style visibility tick box beside the group name should retain its functionality to facilitate non-visibility for the entire group.

History

#1 - 2014-05-24 12:11 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

- Priority changed from Low to Normal

- Category set to Map Legend

#2 - 2016-12-12 07:43 PM - Tom Arnold

This is implemented in 2.14.8.  Probably sooner.  I've been away for too long. :-)

#3 - 2016-12-12 10:49 PM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Open to Closed
